<?php

/**
 * Header Options
 *
 * @package social_blog
 */

// ---------------------------------------- GENERAL OPTIONBS ----------------------------------------------------


// ---------------------------------------- PRELOADER ----------------------------------------------------

$wp_customize->add_section(
	'social_blog_general_options',
	array(
		'panel' => 'social_blog_theme_options',
		'title' => esc_html__( 'General Options', 'social-blog' ),
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'social_blog_preloader_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Social_Blog_Separator_Custom_Control( $wp_customize, 'social_blog_preloader_separator', array(
	'label' => __( 'Enable / Disable Site Preloader Section', 'social-blog' ),
	'section' => 'social_blog_general_options',
	'settings' => 'social_blog_preloader_separator',
) ) );

// General Options - Enable Preloader.
$wp_customize->add_setting(
	'social_blog_enable_preloader',
	array(
		'sanitize_callback' => 'social_blog_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Social_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'social_blog_enable_preloader',
		array(
			'label'   => esc_html__( 'Enable Preloader', 'social-blog' ),
			'section' => 'social_blog_general_options',
		)
	)
);

// Preloader Style Setting
$wp_customize->add_setting(
	'social_blog_preloader_style',
	array(
		'default'           => 'style1',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'social_blog_preloader_style',
	array(
		'type'     => 'select',
		'label'    => esc_html__('Select Preloader Styles', 'social-blog'),
		'active_callback' => 'social_blog_is_preloader_style',
		'section'  => 'social_blog_general_options',
		'choices'  => array(
			'style1' => esc_html__('Style 1', 'social-blog'),
			'style2' => esc_html__('Style 2', 'social-blog'),
			'style3' => esc_html__('Style 3', 'social-blog'),
		),
	)
);

// Preloader Background Color Setting
$wp_customize->add_setting(
	'social_blog_preloader_background_color_setting',
	 array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 'social_blog_preloader_background_color_setting', 
		array(
			'label' => __('Preloader Background Color', 'social-blog'),
			'active_callback' => 'social_blog_is_preloader_style',
			'section' => 'social_blog_general_options',
		)
	)
);

// Preloader Background Image Setting
$wp_customize->add_setting(
	'social_blog_preloader_background_image_setting', 
	array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize, 'social_blog_preloader_background_image_setting',
		 array(
			'label' => __('Preloader Background Image', 'social-blog'),
			'active_callback' => 'social_blog_is_preloader_style',
			'section' => 'social_blog_general_options',
		)
	)
);

// ---------------------------------------- PAGINATION ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'social_blog_pagination_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Social_Blog_Separator_Custom_Control( $wp_customize, 'social_blog_pagination_separator', array(
	'label' => __( 'Enable / Disable Pagination Section', 'social-blog' ),
	'section' => 'social_blog_general_options',
	'settings' => 'social_blog_pagination_separator',
) ) );


// Pagination - Enable Pagination.
$wp_customize->add_setting(
	'social_blog_enable_pagination',
	array(
		'default'           => true,
		'sanitize_callback' => 'social_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Social_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'social_blog_enable_pagination',
		array(
			'label'    => esc_html__( 'Enable Pagination', 'social-blog' ),
			'section'  => 'social_blog_general_options',
			'settings' => 'social_blog_enable_pagination',
			'type'     => 'checkbox',
		)
	)
);

// Pagination - Pagination Type.
$wp_customize->add_setting(
	'social_blog_pagination_type',
	array(
		'default'           => 'default',
		'sanitize_callback' => 'social_blog_sanitize_select',
	)
);

$wp_customize->add_control(
	'social_blog_pagination_type',
	array(
		'label'           => esc_html__( 'Pagination Type', 'social-blog' ),
		'section'         => 'social_blog_general_options',
		'settings'        => 'social_blog_pagination_type',
		'active_callback' => 'social_blog_is_pagination_enabled',
		'type'            => 'select',
		'choices'         => array(
			'default' => __( 'Default (Older/Newer)', 'social-blog' ),
			'numeric' => __( 'Numeric', 'social-blog' ),
		),
	)
);



// ---------------------------------------- BREADCRUMB ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'social_blog_breadcrumb_separators', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Social_Blog_Separator_Custom_Control( $wp_customize, 'social_blog_breadcrumb_separators', array(
	'label' => __( 'Enable / Disable Breadcrumb Section', 'social-blog' ),
	'section' => 'social_blog_general_options',
	'settings' => 'social_blog_breadcrumb_separators',
)));


// Breadcrumb - Enable Breadcrumb.
$wp_customize->add_setting(
	'social_blog_enable_breadcrumb',
	array(
		'sanitize_callback' => 'social_blog_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Social_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'social_blog_enable_breadcrumb',
		array(
			'label'   => esc_html__( 'Enable Breadcrumb', 'social-blog' ),
			'section' => 'social_blog_general_options',
		)
	)
);

// Breadcrumb - Separator.
$wp_customize->add_setting(
	'social_blog_breadcrumb_separator',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default'           => '/',
	)
);

$wp_customize->add_control(
	'social_blog_breadcrumb_separator',
	array(
		'label'           => esc_html__( 'Separator', 'social-blog' ),
		'active_callback' => 'social_blog_is_breadcrumb_enabled',
		'section'         => 'social_blog_general_options',
	)
);



// ---------------------------------------- Website layout ----------------------------------------------------


// Add Separator Custom Control
$wp_customize->add_setting( 'social_blog_layuout_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Social_Blog_Separator_Custom_Control( $wp_customize, 'social_blog_layuout_separator', array(
	'label' => __( 'Website Layout Setting', 'social-blog' ),
	'section' => 'social_blog_general_options',
	'settings' => 'social_blog_layuout_separator',
)));


$wp_customize->add_setting(
	'social_blog_website_layout',
	array(
		'sanitize_callback' => 'social_blog_sanitize_switch',
		'default'           => false,
	)
);

$wp_customize->add_control(
	new Social_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'social_blog_website_layout',
		array(
			'label'   => esc_html__('Boxed Layout', 'social-blog'),
			'section' => 'social_blog_general_options',
		)
	)
);



$wp_customize->add_setting('social_blog_layout_width_margin', array(
	'default'           => 50,
	'sanitize_callback' => 'social_blog_sanitize_range_value',
));

$wp_customize->add_control(new Social_Blog_Customize_Range_Control($wp_customize, 'social_blog_layout_width_margin', array(
		'label'       => __('Set Width', 'social-blog'),
		'description' => __('Adjust the width around the website layout by moving the slider. Use this setting to customize the appearance of your site to fit your design preferences.', 'social-blog'),
		'section'     => 'social_blog_general_options',
		'settings'    => 'social_blog_layout_width_margin',
		'active_callback' => 'social_blog_is_layout_enabled',
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 130,
			'step' => 1,
		),
)));


// ---------------------------------------- HEADER OPTIONS ----------------------------------------------------	


$wp_customize->add_section(
	'social_blog_header_options',
	array(
		'panel' => 'social_blog_theme_options',
		'title' => esc_html__( 'Header Options', 'social-blog' ),
	)
);


// Add setting for sticky header
$wp_customize->add_setting(
	'social_blog_enable_sticky_header',
	array(
		'sanitize_callback' => 'social_blog_sanitize_switch',
		'default'           => false,
	)
);

// Add control for sticky header setting
$wp_customize->add_control(
	new Social_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'social_blog_enable_sticky_header',
		array(
			'label'   => esc_html__( 'Enable Sticky Header', 'social-blog' ),
			'section' => 'social_blog_header_options',
		)
	)
);


// Header Options - Enable Topbar.
$wp_customize->add_setting(
	'social_blog_enable_topbar',
	array(
		'sanitize_callback' => 'social_blog_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Social_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'social_blog_enable_topbar',
		array(
			'label'   => esc_html__( 'Enable Topbar', 'social-blog' ),
			'section' => 'social_blog_header_options',
		)
	)
);

// Header Options - Contact Number.
$wp_customize->add_setting(
	'social_blog_discount_topbar_text',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'social_blog_discount_topbar_text',
	array(
		'label'           => esc_html__( 'Topbar Discount Text', 'social-blog' ),
		'section'         => 'social_blog_header_options',
		'type'            => 'text',
		'active_callback' => 'social_blog_is_topbar_enabled',
	)
);

// Header Options - Custom Button Label.
$wp_customize->add_setting(
	'social_blog_menu_custom_button_label',
	array(
		'default'           => '',
		'sanitize_callback' => 'sanitize_text_field',
	)
);

$wp_customize->add_control(
	'social_blog_menu_custom_button_label',
	array(
		'label'    => esc_html__( 'Menu Custom Button Label', 'social-blog' ),
		'section'  => 'social_blog_header_options',
		'settings' => 'social_blog_menu_custom_button_label',
		'type'     => 'text',
	)
);

// Header Options - Custom Button URL.
$wp_customize->add_setting(
	'social_blog_menu_custom_button_url',
	array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'social_blog_menu_custom_button_url',
	array(
		'label'    => esc_html__( 'Menu Button URL', 'social-blog' ),
		'section'  => 'social_blog_header_options',
		'settings' => 'social_blog_menu_custom_button_url',
		'type'     => 'url',
	)
);


// Header Options - Enable Social Icons.
$wp_customize->add_setting(
	'social_blog_enable_social',
	array(
		'sanitize_callback' => 'social_blog_sanitize_switch',
		'default'           => true,
	)
);

$wp_customize->add_control(
	new Social_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'social_blog_enable_social',
		array(
			'label'   => esc_html__( 'Enable Social', 'social-blog' ),
			'description' => esc_html__( 'If you want to add a social icon you need to go to Dashboard = Appearance = Menus then create a new menu now add Custom Links then add proper links then choose Social then click Create Menu.', 'social-blog' ),
			'section' => 'social_blog_header_options',
			'active_callback' => 'social_blog_is_topbar_enabled',
		)
	)
);

// Add Separator Custom Control
$wp_customize->add_setting( 'social_blog_menu_separator', array(
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Social_Blog_Separator_Custom_Control( $wp_customize, 'social_blog_menu_separator', array(
	'label' => __( 'Menu Settings', 'social-blog' ),
	'section' => 'social_blog_header_options',
	'settings' => 'social_blog_menu_separator',
)));

$wp_customize->add_setting( 'social_blog_menu_font_size', array(
    'default'           => 15,
    'sanitize_callback' => 'absint',
) );

// Add control for site title size
$wp_customize->add_control( 'social_blog_menu_font_size', array(
    'type'        => 'number',
    'section'     => 'social_blog_header_options',
    'label'       => __( 'Menu Font Size ', 'social-blog' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
));

$wp_customize->add_setting( 'menu_text_transform', array(
    'default'           => 'capitalize', // Default value for text transform
    'sanitize_callback' => 'sanitize_text_field',
) );

// Add control for menu text transform
$wp_customize->add_control( 'menu_text_transform', array(
    'type'     => 'select',
    'section'  => 'social_blog_header_options', // Adjust the section as needed
    'label'    => __( 'Menu Text Transform', 'social-blog' ),
    'choices'  => array(
        'none'       => __( 'None', 'social-blog' ),
        'capitalize' => __( 'Capitalize', 'social-blog' ),
        'uppercase'  => __( 'Uppercase', 'social-blog' ),
        'lowercase'  => __( 'Lowercase', 'social-blog' ),
    ),
) );

// Menu Text Color 
$wp_customize->add_setting(
	'social_blog_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'social_blog_menu_text_color', 
		array(
			'label' => __('Menu Color', 'social-blog'),
			'section' => 'social_blog_header_options',
		)
	)
);

// Sub Menu Text Color 
$wp_customize->add_setting(
	'social_blog_sub_menu_text_color', 
	array(
		'default' => '',
		'sanitize_callback' => 'sanitize_hex_color',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control(
		$wp_customize, 
		'social_blog_sub_menu_text_color', 
		array(
			'label' => __('Sub Menu Color', 'social-blog'),
			'section' => 'social_blog_header_options',
		)
	)
);

// ----------------------------------------SITE IDENTITY----------------------------------------------------

// Site Logo - Enable Setting.
$wp_customize->add_setting(
	'social_blog_enable_site_logo',
	array(
		'default'           => true, // Default is to display the logo.
		'sanitize_callback' => 'social_blog_sanitize_switch', // Sanitize using a custom switch function.
	)
);

$wp_customize->add_control(
	new Social_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'social_blog_enable_site_logo',
		array(
			'label'    => esc_html__( 'Enable Site Logo', 'social-blog' ),
			'section'  => 'title_tagline', // Section to add this control.
			'settings' => 'social_blog_enable_site_logo',
		)
	)
);

// Site Title - Enable Setting.
$wp_customize->add_setting(
	'social_blog_enable_site_title_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'social_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Social_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'social_blog_enable_site_title_setting',
		array(
			'label'    => esc_html__( 'Enable Site Title', 'social-blog' ),
			'section'  => 'title_tagline',
			'settings' => 'social_blog_enable_site_title_setting',
		)
	)
);

// Tagline - Enable Setting.
$wp_customize->add_setting(
	'social_blog_enable_tagline_setting',
	array(
		'default'           => false,
		'sanitize_callback' => 'social_blog_sanitize_switch',
	)
);

$wp_customize->add_control(
	new Social_Blog_Toggle_Switch_Custom_Control(
		$wp_customize,
		'social_blog_enable_tagline_setting',
		array(
			'label'    => esc_html__( 'Enable Tagline', 'social-blog' ),
			'section'  => 'title_tagline',
			'settings' => 'social_blog_enable_tagline_setting',
		)
	)
);

$wp_customize->add_setting( 'social_blog_site_title_size', array(
    'default'           => 36, // Default font size in pixels
    'sanitize_callback' => 'absint', // Sanitize the input as a positive integer
) );

// Add control for site title size
$wp_customize->add_control( 'social_blog_site_title_size', array(
    'type'        => 'number',
    'section'     => 'title_tagline', // You can change this section to your preferred section
    'label'       => __( 'Site Title Font Size ', 'social-blog' ),
    'input_attrs' => array(
        'min'  => 10,
        'max'  => 100,
        'step' => 1,
    ),
) );

$wp_customize->add_setting('social_blog_site_logo_width', array(
    'default'           => 200,
    'sanitize_callback' => 'social_blog_sanitize_range_value',
));

$wp_customize->add_control(new Social_Blog_Customize_Range_Control($wp_customize, 'social_blog_site_logo_width', array(
    'label'       => __('Adjust Site Logo Width', 'social-blog'),
    'description' => __('This setting controls the Width of Site Logo', 'social-blog'),
    'section'     => 'title_tagline',
    'settings'    => 'social_blog_site_logo_width',
    'input_attrs' => array(
        'min'  => 0,
        'max'  => 400,
        'step' => 5,
    ),
)));